[arch-commits] Commit in python-pyftpdlib/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat Nov 4 10:48:46 UTC 2017


    Date: Saturday, November 4, 2017 @ 10:48:45
  Author: felixonmars
Revision: 265393

archrelease: copy trunk to community-any

Added:
  python-pyftpdlib/repos/community-any/PKGBUILD
    (from rev 265392, python-pyftpdlib/trunk/PKGBUILD)
Deleted:
  python-pyftpdlib/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  118 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 60 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-04 10:48:19 UTC (rev 265392)
+++ PKGBUILD	2017-11-04 10:48:45 UTC (rev 265393)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-
-pkgbase=python-pyftpdlib
-pkgname=('python-pyftpdlib' 'python2-pyftpdlib')
-pkgver=1.5.2
-pkgrel=1
-pkgdesc='Very fast asynchronous FTP server library'
-arch=('any')
-url='https://github.com/giampaolo/pyftpdlib/'
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
-              'python-pyopenssl' 'python2-pyopenssl')
-source=("https://pypi.io/packages/source/p/pyftpdlib/pyftpdlib-$pkgver.tar.gz")
-sha512sums=('b458518eb7a57137d5f677bb4f38f4285f5efed4d8c0b4919c78b42350579407664219f4f289a0d6f307bb33869b73033ee82ad2ae777dc9f5a6d38a1af09a2a')
-
-prepare() {
-  cp -a pyftpdlib-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/pyftpdlib-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/pyftpdlib-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/pyftpdlib-$pkgver
-  python setup.py ptr || warning "Tests failed"
-
-  cd "$srcdir"/pyftpdlib-$pkgver-py2
-  python2 setup.py ptr || warning "Tests failed"
-}
-
-package_python-pyftpdlib() {
-  depends=('python')
-  optdepends=('python-pyopenssl: FTPS support')
-
-  cd pyftpdlib-$pkgver
-  python setup.py install --root="$pkgdir" -O1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-pyftpdlib() {
-  depends=('python2')
-  optdepends=('python2-pyopenssl: FTPS support')
-
-  cd pyftpdlib-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" -O1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  mv "$pkgdir"/usr/bin/ftpbench{,2}
-}

Copied: python-pyftpdlib/repos/community-any/PKGBUILD (from rev 265392, python-pyftpdlib/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-04 10:48:45 UTC (rev 265393)
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgbase=python-pyftpdlib
+pkgname=('python-pyftpdlib' 'python2-pyftpdlib')
+pkgver=1.5.3
+pkgrel=1
+pkgdesc='Very fast asynchronous FTP server library'
+arch=('any')
+url='https://github.com/giampaolo/pyftpdlib/'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
+              'python-pyopenssl' 'python2-pyopenssl' 'python-psutil' 'python2-psutil')
+source=("https://pypi.io/packages/source/p/pyftpdlib/pyftpdlib-$pkgver.tar.gz")
+sha512sums=('f0e56f170fa77e0866cbbead52ad52276ee45b6c3244557bc59cd2bf599934ae4414a684661d4d47f76098b3da19e23c1a037aaa07a6a81f8d1be14b90191517')
+
+prepare() {
+  cp -a pyftpdlib-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/pyftpdlib-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pyftpdlib-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/pyftpdlib-$pkgver
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir"/pyftpdlib-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-pyftpdlib() {
+  depends=('python')
+  optdepends=('python-pyopenssl: FTPS support'
+              'python-psutil: to keep track of FTP server memory usage')
+
+  cd pyftpdlib-$pkgver
+  python setup.py install --root="$pkgdir" -O1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-pyftpdlib() {
+  depends=('python2')
+  optdepends=('python2-pyopenssl: FTPS support'
+              'python2-psutil: to keep track of FTP server memory usage')
+
+  cd pyftpdlib-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" -O1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  mv "$pkgdir"/usr/bin/ftpbench{,2}
+}


More information about the arch-commits mailing list